diff -Nurd kdebase-runtime-4.4.1/attica/kdeplugin/kdeplatformdependent.h kdebase-runtime-4.4.1-new/attica/kdeplugin/kdeplatformdependent.h
--- kdebase-runtime-4.4.1/attica/kdeplugin/kdeplatformdependent.h	2009-12-31 08:28:04.000000000 -0500
+++ kdebase-runtime-4.4.1-new/attica/kdeplugin/kdeplatformdependent.h	2010-11-28 03:56:43.000000000 -0500
@@ -47,6 +47,11 @@
     KdePlatformDependent();
     virtual ~KdePlatformDependent();
     virtual QList<QUrl> getDefaultProviderFiles() const;
+    virtual void addDefaultProviderFile(const QUrl& url){}
+    virtual void removeDefaultProviderFile(const QUrl& url){}
+    virtual void enableProvider(const QUrl& baseUrl, bool enabled) const{}
+    virtual bool isEnabled(const QUrl& baseUrl) const{return true;}
+
     virtual QNetworkReply* post(const QNetworkRequest& request, const QByteArray& data);
     virtual QNetworkReply* post(const QNetworkRequest& request, QIODevice* data);
     virtual QNetworkReply* get(const QNetworkRequest& request);
diff -Nurd kdebase-runtime-4.3.90/kcontrol/componentchooser/CMakeLists.txt kdebase-runtime-4.3.90-new/kcontrol/componentchooser/CMakeLists.txt
--- kdebase-runtime-4.3.90/kcontrol/componentchooser/CMakeLists.txt	2008-09-17 16:54:29.000000000 -0400
+++ kdebase-runtime-4.3.90-new/kcontrol/componentchooser/CMakeLists.txt	2010-01-13 00:59:59.000000000 -0500
@@ -19,10 +19,10 @@
     componentchooserterminal.cpp ktimerdialog.cpp)
 endif(NOT WIN32)
 
-if(NOT APPLE AND NOT WIN32)
+if(Q_WS_X11)
   set(kcm_componentchooser_SRCS ${kcm_componentchooser_SRCS}
      componentchooserwm.cpp )
-endif(NOT APPLE AND NOT WIN32)
+endif(Q_WS_X11)
 
 
 kde4_add_ui_files(kcm_componentchooser_SRCS 
diff -Nurd kdebase-runtime-4.3.90/kioslave/thumbnail/CMakeLists.txt kdebase-runtime-4.3.90-new/kioslave/thumbnail/CMakeLists.txt
--- kdebase-runtime-4.3.90/kioslave/thumbnail/CMakeLists.txt	2009-11-21 04:44:16.000000000 -0500
+++ kdebase-runtime-4.3.90-new/kioslave/thumbnail/CMakeLists.txt	2010-01-13 00:59:59.000000000 -0500
@@ -101,7 +101,7 @@
 
    kde4_add_plugin(exrthumbnail ${exrthumbnail_PART_SRCS})
 
-   target_link_libraries(exrthumbnail ${KDE4_KIO_LIBS} ${OPENEXR_LIBRARIES})
+   target_link_libraries(exrthumbnail ${KDE4_KIO_LIBS} ${OPENEXR_LIBRARIES} z)
 
    install(TARGETS exrthumbnail DESTINATION ${PLUGIN_INSTALL_DIR})
    install( FILES exrthumbnail.desktop DESTINATION ${SERVICES_INSTALL_DIR})
diff -Nurd kdebase-runtime-4.3.90/knotify/CMakeLists.txt kdebase-runtime-4.3.90-new/knotify/CMakeLists.txt
--- kdebase-runtime-4.3.90/knotify/CMakeLists.txt	2009-07-17 17:44:53.000000000 -0400
+++ kdebase-runtime-4.3.90-new/knotify/CMakeLists.txt	2010-01-13 00:59:59.000000000 -0500
@@ -22,6 +22,12 @@
 set (knotify_OUTPUT_NAME knotify4)
 kde4_add_executable( knotify ${knotify_SRCS})
 
+if (Q_WS_MAC)
+    set_target_properties(knotify PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
+    set_target_properties(knotify PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.knotify4")
+    set_target_properties(knotify PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Notify")
+endif (Q_WS_MAC)
+
 target_link_libraries( knotify ${KDE4_KDEUI_LIBS} ${KDE4_PHONON_LIBS})
 
 set_target_properties(knotify PROPERTIES OUTPUT_NAME knotify4 )
diff -Nurd kdebase-runtime-4.3.90/knotify/Info.plist.template kdebase-runtime-4.3.90-new/knotify/Info.plist.template
--- kdebase-runtime-4.3.90/knotify/Info.plist.template	1969-12-31 19:00:00.000000000 -0500
+++ kdebase-runtime-4.3.90-new/knotify/Info.plist.template	2010-01-13 00:59:59.000000000 -0500
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>LSUIElement</key>
+    <string>1</string>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+</dict>
+</plist>
diff -Nurd kdebase-runtime-4.3.90/nepomuk/kioslaves/search/CMakeLists.txt kdebase-runtime-4.3.90-new/nepomuk/kioslaves/search/CMakeLists.txt
--- kdebase-runtime-4.3.90/nepomuk/kioslaves/search/CMakeLists.txt	2009-11-30 19:29:30.000000000 -0500
+++ kdebase-runtime-4.3.90-new/nepomuk/kioslaves/search/CMakeLists.txt	2010-01-13 00:59:59.000000000 -0500
@@ -8,6 +8,7 @@
   ${QT_INCLUDES}
   ${KDE4_INCLUDES}
   ${KDE4_KIO_INCLUDES}
+  ${SOPRANO_INCLUDE_DIR}
   ${NEPOMUK_INCLUDE_DIR}
 )
 
diff -Nurd kdebase-runtime-4.3.90/nepomuk/services/queryservice/CMakeLists.txt kdebase-runtime-4.3.90-new/nepomuk/services/queryservice/CMakeLists.txt
--- kdebase-runtime-4.3.90/nepomuk/services/queryservice/CMakeLists.txt	2009-11-30 19:29:32.000000000 -0500
+++ kdebase-runtime-4.3.90-new/nepomuk/services/queryservice/CMakeLists.txt	2010-01-13 01:00:02.000000000 -0500
@@ -7,6 +7,7 @@
 include_directories(
   ${QT_INCLUDES}
   ${KDE4_INCLUDES}
+  ${SOPRANO_INCLUDE_DIR}
   ${NEPOMUK_INCLUDES}
 )
 
diff -Nurd kdebase-runtime-4.3.90/phonon/platform_kde/devicelisting.cpp kdebase-runtime-4.3.90-new/phonon/platform_kde/devicelisting.cpp
--- kdebase-runtime-4.3.90/phonon/platform_kde/devicelisting.cpp	2008-10-17 07:00:15.000000000 -0400
+++ kdebase-runtime-4.3.90-new/phonon/platform_kde/devicelisting.cpp	2010-01-13 01:00:02.000000000 -0500
@@ -35,7 +35,10 @@
 #endif // HAVE_ALSA_ASOUNDLIB_H
 
 typedef QList<QPair<QByteArray, QString> > PhononDeviceAccessList;
+#ifndef _KDE_FINAL_PhononDeviceAccessList
+#define _KDE_FINAL_PhononDeviceAccessList
 Q_DECLARE_METATYPE(PhononDeviceAccessList)
+#endif
 
 static void installAlsaPhononDeviceHandle()
 {
diff -Nurd kdebase-runtime-4.3.90/phonon/platform_kde/kdeplatformplugin.cpp kdebase-runtime-4.3.90-new/phonon/platform_kde/kdeplatformplugin.cpp
--- kdebase-runtime-4.3.90/phonon/platform_kde/kdeplatformplugin.cpp	2009-01-16 10:04:57.000000000 -0500
+++ kdebase-runtime-4.3.90-new/phonon/platform_kde/kdeplatformplugin.cpp	2010-01-13 01:00:02.000000000 -0500
@@ -44,8 +44,11 @@
 typedef QPair<QByteArray, QString> PhononDeviceAccess;
 typedef QList<PhononDeviceAccess> PhononDeviceAccessList;
 #ifndef KDE_USE_FINAL
+#ifndef _KDE_FINAL_PhononDeviceAccessList
+#define _KDE_FINAL_PhononDeviceAccessList
 Q_DECLARE_METATYPE(PhononDeviceAccessList)
 #endif
+#endif
 namespace Phonon
 {
 
